#ifndef __PROGRAMDATA_H__
#define __PROGRAMDATA_H__
#include "stdint.h"
#include "FlashSetup.h"

typedef struct
{
	char flag; //flag ='Y' 表示设备已注册
	char address[100]; //Mqtt服务器地址
	char port[8]; //产品密钥
	char productKey[40]; //产品密钥
	char clientId[100];  
	char userName[40];
	char password[40];
	char deviceName[40];
	char deviceSecret[40];
} RegistInfo;

extern RegistInfo *registInfo;

extern uint32_t *classification;

void ReadProgramData(void);

void WriteProgramData(void);

void WriteInitProgramData(void);

#endif

